mp3len
Prev | Orchestra Opcodes and Operators | Next

## mp3len

mp3len — Returns the length of an MP3 sound file.

## Description

Returns the length of an MP3 sound file.

## Syntax

    ir mp3len ifilcod

## Initialization

ifilcod -- sound file to be queried

## Performance

mp3len returns the length of the sound file ifilcod in seconds.

## Examples

Here is an example of the mp3len opcode. It uses the file mp3len.csd.

Example 612. Example of the mp3len opcode.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    -odac    ;;;realtime audio out
    ;-iadc    ;;;uncomment -iadc if realtime audio input is needed too
    ; For Non-realtime ouput leave only the line below:
    ;-o mp3len.wav -W ;;; for file output any platform
    </CsOptions>
    <CsInstruments>

    sr = 44100
    ksmps = 32
    nchnls = 2
    0dbfs  = 1

    instr 1

    ilen   mp3len p4        ;calculate length of mp3 file
    print  ilen

    asigL, asigR mp3in p4
           outs  asigL, asigR

    endin
    </CsInstruments>
    <CsScore>

    i 1 0 30 "XORNOT_jul-14-05.mp3"    ; long signal
    e
    </CsScore>
    </CsoundSynthesizer>

## See Also

mp3in

## Credits

Author: John ffitch
Feb 2011

New in Csound version 5.14

Prev | Up | Next
mp3in | Home | mp3scal